import {useState} from 'react';
import logo from './logo.svg';
import './App.scss';

const Spoiler = ({children, header, defaultState=false}) => { //придумайте, куда засунуть defaultState, что бы изначально спойлер мог быть открыт или закрыт
    
    const [isOpen, setIsOpen] = useState(false)

    const onChange = () => setIsOpen(!isOpen)

    return (
        <>
            <div onClick={onChange}>{header}</div>
            {isOpen ? children : ''}
        </>
    )
}

const PasswordInput = ({minlength=8}) => {
    const [password, setPassword] = useState('')

    const onChange = e => setPassword(e.target.value)

    console.log('Текущий пароль:', password)
    const isPasswordLong = 'ТУТ УСЛОВИЕ. НЕ ЗАБУДЬТЕ использовать переменную minlength'
    const className      = 'ТУТ ТЕРНАРКА, которая дает тот или иной класс'

    return (
        <>
            <input type='password' 
                   value={password} 
                   className={className}
                   onChange={onChange} />
        </>
    )
}


const App = () => 
<>
    <Spoiler header={<b>Спойлер1</b>} defaultState>
        ЭТОТ СПОЙЛЕР ИЗНАЧАЛЬНО ОТКРЫТ, потому шо выше написано defaultState
        <p>
            Hello World
        </p>
    </Spoiler>

    <Spoiler header={<i>ОТКРОЙ МЕНЯ</i>}>
        <h3>второй спойлер</h3>
        <p>
            Hello World 2
        </p>
        
        <Spoiler header={<b>Спойлер внутри второго</b>}>
            <p>
                Hello World inside of Hello World
            </p>
        </Spoiler>
    </Spoiler>
    <PasswordInput />
    <PasswordInput minlength={10}/>
</>

export default App;
